<div class="container">
    <h1>Veuillez charger votre fichier ici pour recevoir les statistiques</h1>
    <div class="file-upload-container">
    <input type="file" (change)="onFileSelected($event)" class="file-input">
    <button (click)="uploadFile()" class="upload-button">Envoyer le fichier</button>
</div>
  
    <div *ngIf="results.length > 0" class="results">
      <h3>Moyenne des salaires par profession</h3>
      <table>
        <tr>
          <th>Profession</th>
          <th>Moyenne des salaires</th>
        </tr>
        <tr *ngFor="let result of results">
          <td>{{ result.profession }}</td>
          <td>{{ result.averageSalary }}</td>
        </tr>
      </table>
    </div>
  </div>
  